/* Copyright (C) 2003 Michael Opdenacker http://michaelo.free.fr/
 *
 * Program to read a key from a /dev/input/eventx file and exit.
 * Useful to wait for a keypress and immediately return
 * Assumes that each keypress returns a bunch of 32 chars,
 * and displays the 11th and 12th
 *
 * CAUTION: displaying the 11th and then the 12th may revert
 * the expected value for the key, according to endianism
 * used in the system.
 * For example, the values output by read_key and od -x
 * on /dev/input/event0 are reverted on HP iPAQ H2200.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#define NUM_CHARS 32

main (int argc, char *argv[])
{
	FILE *input_file;
	int i, c;

	if ( (input_file = fopen(argv[1], "r"))==NULL) {
     		fprintf(stderr, "Error opening file");
     	        exit(1);
  	}

	for (i = 0, c = getc (input_file); i < NUM_CHARS && c!=EOF; i++, c = getc (input_file)) {
	    if (i==10 || i==11) {
	       printf ("%.2x", c);
            }
        }

	printf ("\n");

	fclose (input_file);
}
